## ros-iron-rcl-interfaces 1.6.0

=== debian/changelog ===
ros-iron-rcl-interfaces (1.6.0-2jammy) jammy; urgency=high

  * Add interfaces for logging service. (#154 <https://github.com/ros2/rcl_interfaces/issues/154>)
  * Contributors: Lei Liu

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-rcl-interfaces (1.5.0-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rcl-interfaces (1.4.0-2jammy) jammy; urgency=high

  * Update common_interfaces to C++17. (#215 <https://github.com/ros2/rcl_interfaces/issues/215>) (#151 <https://github.com/ros2/rcl_interfaces/issues/151>)
  * [rolling] Update maintainers - 2022-11-07 (#150 <https://github.com/ros2/rcl_interfaces/issues/150>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rcl-interfaces (1.3.1-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 08 Sep 2022 16:00:00 -0000

ros-iron-rcl-interfaces (1.3.0-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-rcl-interfaces (1.2.0-2jammy) jammy; urgency=high

  * Update maintainers to Chris Lalancette (#130 <https://github.com/ros2/rcl_interfaces/issues/130>)
  * Contributors: Audrow Nash

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rcl-interfaces (1.1.0-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 05 Aug 2021 16:00:00 -0000

ros-iron-rcl-interfaces (1.0.3-2jammy) jammy; urgency=high

  * Change index.ros.org -> docs.ros.org. (#122 <https://github.com/ros2/rcl_interfaces/issues/122>)
  * Updating Quality Declaration (#120 <https://github.com/ros2/rcl_interfaces/issues/120>)
  * Contributors: Chris Lalancette, shonigmann

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-rcl-interfaces (1.0.2-2jammy) jammy; urgency=high

  * Add field to the parameter description to specify dynamic/static typing. (#118 <https://github.com/ros2/rcl_interfaces/issues/118>)
  * Update quality declaration to QL 1. (#116 <https://github.com/ros2/rcl_interfaces/issues/116>)
  * Update package maintainers. (#112 <https://github.com/ros2/rcl_interfaces/issues/112>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic, Michel Hidalgo, Stephen Brawner

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 21 Feb 2021 16:00:00 -0000

ros-iron-rcl-interfaces (1.0.1-2jammy) jammy; urgency=high

  * Increase Quality level of packages to 3 (#108 <https://github.com/ros2/rcl_interfaces/issues/108>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#106 <https://github.com/ros2/rcl_interfaces/issues/106>)
  * Updating QD to reflect package versions (#107 <https://github.com/ros2/rcl_interfaces/issues/107>)
  * Contributors: Chris Lalancette, brawner

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 28 Jun 2020 16:00:00 -0000

ros-iron-rcl-interfaces (1.0.0-2jammy) jammy; urgency=high

  * Add documentation of log levels (#93 <https://github.com/ros2/rcl_interfaces/issues/93>)
  * Add quality declarations for each package except test_msgs (#92 <https://github.com/ros2/rcl_interfaces/issues/92>)
  * Contributors: Tully Foote, brawner

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-rcl-interfaces (0.9.0-2jammy) jammy; urgency=high

  * Remove commented code line (#99 <https://github.com/ros2/rcl_interfaces/issues/99>)
  * Remove unused IntraProcessMessage (#89 <https://github.com/ros2/rcl_interfaces/issues/89>)
  * Contributors: Dirk Thomas, Stephen Brawner

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 24 Apr 2020 16:00:00 -0000

ros-iron-rcl-interfaces (0.8.0-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-iron-rcl-interfaces (0.7.4-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 28 May 2019 16:00:00 -0000

ros-iron-rcl-interfaces (0.7.3-2jammy) jammy; urgency=high

  * Add mapping file for ROS 1 bridge (#67 <https://github.com/ros2/rcl_interfaces/issues/67>)
  * Contributors: Juan Rodriguez Hortala

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

ros-iron-rcl-interfaces (0.7.2-2jammy) jammy; urgency=high

  * Parameters support ranges (#72 <https://github.com/ros2/rcl_interfaces/issues/72>)
  * Contributors: William Woodall

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-iron-rcl-interfaces (0.7.1-2jammy) jammy; urgency=high

  * Add read_only parameter metadata (#35 <https://github.com/ros2/rcl_interfaces/issues/35>)
  * Contributors: Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 25 Apr 2019 16:00:00 -0000

ros-iron-rcl-interfaces (0.7.0-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-iron-rcl-interfaces (0.6.2-2jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 10 Jan 2019 16:00:00 -0000

ros-iron-rcl-interfaces (0.6.1-2jammy) jammy; urgency=high

  * adding node path and timestamp fields to event msg (#51 <https://github.com/ros2/rcl_interfaces/issues/51>)
  * Adding a message type for Log messages that will be sent out over the… (#53 <https://github.com/ros2/rcl_interfaces/issues/53>)
  * Contributors: Nick Burek, bpwilcox

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 05 Dec 2018 16:00:00 -0000

ros-iron-rcl-interfaces (0.6.0-2jammy) jammy; urgency=high

  * use add_compile_options instead of setting only cxx flags
  * Contributors: Mikael Arguedas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 15 Nov 2018 16:00:00 -0000

ros-iron-rcl-interfaces (0.5.0-2jammy) jammy; urgency=high

  * add array parameter types as defined in https://github.com/ros2/design/pull/152 (#32 <https://github.com/ros2/rcl_interfaces/issues/32>)

